#
# spec file for package perl-Redis
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Redis
Version:        1.982
Release:        3.1
%define cpan_name Redis
Summary:        Perl binding for Redis database
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Redis/
Source0:        http://www.cpan.org/authors/id/D/DA/DAMS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.63_03
BuildRequires:  perl(IO::Socket::Timeout) >= 0.29
BuildRequires:  perl(IO::String)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(Module::Build::Tiny) >= 0.039
BuildRequires:  perl(Pod::Coverage::TrustPod)
BuildRequires:  perl(Test::CPAN::Meta)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::SharedFork)
BuildRequires:  perl(Test::TCP) >= 1.19
BuildRequires:  perl(Try::Tiny)
Requires:       perl(IO::Socket::Timeout) >= 0.29
Requires:       perl(Try::Tiny)
%{perl_requires}

%description
Pure perl bindings for http://redis.io/

This version supports protocol 2.x (multi-bulk) or later of Redis available
at https://github.com/antirez/redis/.

This documentation lists commands which are exercised in test suite, but
additional commands will work correctly since protocol specifies enough
information to support almost all commands with same piece of code with a
little help of 'AUTOLOAD'.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README scripts tools

%changelog
* Sat Feb 13 2016 coolo@suse.com
- updated to 1.982
  see /usr/share/doc/packages/perl-Redis/Changes
  1.982     2016-02-11 09:02:40CET+0100 Europe/Paris
  * fix issue #117: fix backward compatibility with 5.8
* Sun Oct  4 2015 coolo@suse.com
- updated to 1.981
  see /usr/share/doc/packages/perl-Redis/Changes
  1.981     2015-09-29 12:31:57CEST+0200 Europe/Paris
  * fix a bug where when not yet connected, pid is undef, leading to warnings
* Mon Aug 24 2015 coolo@suse.com
- updated to 1.980
  see /usr/share/doc/packages/perl-Redis/Changes
  1.980     2015-08-24 09:48:08CEST+0200 Europe/Paris
  * fix "set" documentation as per Emanuele Tomasi <et@libersoft.it> suggestion
* Mon Jun 15 2015 coolo@suse.com
- updated to 1.979
  see /usr/share/doc/packages/perl-Redis/Changes
  1.979     2015-05-14 14:28:35CEST+0200 Europe/Amsterdam
  * depends on IO::Socket::Timeout 0.29 that fixes an important bug on
    Windows, Solaris, when mixing sockets with and without timeouts.
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.978
  see /usr/share/doc/packages/perl-Redis/Changes
  1.978     2015-01-28 09:52:27 Europe/Amsterdam
  * reshape the documentation
  * croak when reconnecting while responses are pending (#101)
  * merge PR#106 ( support "0" in topic )
  1.977     2015-01-28 01:10:31 Europe/Amsterdam
  1.976     2014-10-03 15:05:58 Europe/Amsterdam
  1.975     2014-08-03 20:50:25 Europe/Amsterdam
  * Clarification about reconnect and read_timeout (#89)
  * Test::CPAN::Meta (et al.) are required even if unused (#92)
* Fri Jul 25 2014 coolo@suse.com
- updated to 1.974
  * release again, last one was screwed up.
  * fix #85 (PR #86) reconnect during transaction
  1.973_03  2014-05-12 22:49:07 Europe/Amsterdam
  * fix #85 (PR #86) reconnect during transaction
  1.973_02  2014-04-30 12:04:29 Europe/Amsterdam
  * merge PR #84 optimize try read sock
  1.973_01  2014-04-26 18:00:31 Europe/Amsterdam
  * use new network code from Ivan Kruglov
  * fix sentinel tests
  * fix #81: doc for 'every' option
* Tue Mar 18 2014 coolo@suse.com
- updated to 1.972
  * Sentinel features (connections, timeouts, etc) support
  * various bugfixes and testfixes
  * fix network code for BSDs
  * no_auto_connect_on_new
  1.971     2014-02-01 09:55:11 Europe/Paris
  * skip some tests that fail on some platforms for now
  1.970     2014-01-30 15:07:42 Europe/Amsterdam
  * fix tests breaking in some case
  1.969     2014-01-30 13:19:28 Europe/Amsterdam
  * Clarification for (p)unsubscribe commands.
  * use Test::TCP for testing
  1.968     2014-01-30 12:19:11 Europe/Amsterdam
  * Add a no_auto_connect_on_new parameter to new() to allow users
    to call $x = Redis->new and then $x->connect, instead of Redis
    auto-connecting. Useful for tuning the cnx_timeout parameter.
  1.967     2013-12-28 22:58:55 Europe/Paris
  * use new IO::Socket::Timeout with different API
  1.966     2013-12-17 13:58:33 Europe/Amsterdam
  * fix tests for Redis 2.8
* Sun May  1 2011 coolo@opensuse.org
- initial package 1.904
  * created by cpanspec 1.78.04
